version: "3"

services:
  jenkins:
    container_name: jenkins
    image: jenkins-ansible
    build:
      context: jenkins-ansible
    ports:
      - "9001:8080"
    volumes:
      - $PWD/jenkins_home:/var/jenkins_home
      - $PWD/jenkins-ansible/file:/var/jenkins_home/ansible/
    networks:
      - net

  remote_host:
    container_name: remote_host
    build:
      context: centos7
    image: remote_host
    volumes:
      - $PWD/aws/dump.sh:/tmp/dump.sh
    networks:
      - net

  db_host:
    container_name: db
    image: mysql:5.7
    environment:
      - MYSQL_ROOT_PASSWORD=123
    volumes:
      - $PWD/db_data:/var/lib/mysql
    networks:
      - net

networks:
  net:
